//
// Autogenerated by Laurine - by Jiri Trecak ( http://jiritrecak.com, @jiritrecak )
// Do not change this file manually!
//


// --- --- --- --- --- --- --- --- --- --- --- --- --- --- --- --- --- --- --- --- --- --- --- --- --- --- ---
// MARK: - Imports

import Foundation


// --- --- --- --- --- --- --- --- --- --- --- --- --- --- --- --- --- --- --- --- --- --- --- --- --- --- ---
// MARK: - Localizations


public struct Loc {

    /// Base translation: Level Completed!
    public static var levelCompleted : String = NSLocalizedString("levelCompleted", comment: "")

    /// Base translation: OK
    public static var ok : String = NSLocalizedString("ok", comment: "")

    /// Base translation: Yes
    public static var yes : String = NSLocalizedString("yes", comment: "")

    /// Base translation: Settings
    public static var settings : String = NSLocalizedString("settings", comment: "")

    /// Base translation: Hey, check out this awesome game called 4 Brands 1 Word!
    public static var shareMenuDescription : String = NSLocalizedString("shareMenuDescription", comment: "")

    /// Base translation: Hey, can you help me solve this puzzle from 4 Brands 1 Word?
    public static var shareLevelDescription : String = NSLocalizedString("shareLevelDescription", comment: "")

    /// Base translation: Next
    public static var next : String = NSLocalizedString("next", comment: "")

    /// Base translation: Play
    public static var play : String = NSLocalizedString("play", comment: "")

    /// Base translation: No
    public static var no : String = NSLocalizedString("no", comment: "")

    /// Base translation: Error
    public static var error : String = NSLocalizedString("error", comment: "")

    /// Base translation: Levels
    public static var levels : String = NSLocalizedString("levels", comment: "")

    /// Base translation: Free
    public static var free : String = NSLocalizedString("free", comment: "")

    /// Base translation: 4 Brands 1 Word
    public static var productName : String = NSLocalizedString("productName", comment: "")

    /// Base translation: Level %d
    public static func levelWithNum(_ value1 : Int) -> String {
        return String(format: NSLocalizedString("levelWithNum", comment: ""), value1)
    }


    public struct NoAds {

        /// Base translation: Restore Purchases
        public static var restorePurchases : String = NSLocalizedString("NoAds.restorePurchases", comment: "")

        /// Base translation: Could not restore purchases.
        public static var restoreError : String = NSLocalizedString("NoAds.restoreError", comment: "")

        /// Base translation: Could not buy No Ads.
        public static var buyError : String = NSLocalizedString("NoAds.buyError", comment: "")

    }

    public struct Wiki {

        /// Base translation: Could not load Wikipedia.
        public static var generalErrorMessage : String = NSLocalizedString("Wiki.generalErrorMessage", comment: "")

    }

    public struct Hint {

        /// Base translation: Skip Level
        public static var skip : String = NSLocalizedString("Hint.skip", comment: "")

        /// Base translation: Do you want to delete a letter for %d Coins?
        public static func deleteLetterAlertMessage(_ value1 : Int) -> String {
            return String(format: NSLocalizedString("Hint.deleteLetterAlertMessage", comment: ""), value1)
        }

        /// Base translation: Do you want to skip this level for %d Coins?
        public static func skipAlertMessage(_ value1 : Int) -> String {
            return String(format: NSLocalizedString("Hint.skipAlertMessage", comment: ""), value1)
        }

        /// Base translation: Shuffle
        public static var shuffle : String = NSLocalizedString("Hint.shuffle", comment: "")

        /// Base translation: Do you want to shuffle the letters for %d Coins?
        public static func shuffleAlertMessage(_ value1 : Int) -> String {
            return String(format: NSLocalizedString("Hint.shuffleAlertMessage", comment: ""), value1)
        }

        /// Base translation: Do you want to reveal a letter for %d Coins?
        public static func revealLetterAlertMessage(_ value1 : Int) -> String {
            return String(format: NSLocalizedString("Hint.revealLetterAlertMessage", comment: ""), value1)
        }

        /// Base translation: Delete Letter
        public static var deleteLetter : String = NSLocalizedString("Hint.deleteLetter", comment: "")

        /// Base translation: Reveal Letter
        public static var revealLetter : String = NSLocalizedString("Hint.revealLetter", comment: "")

    }

    public struct RevealLetter {

        /// Base translation: Tap on a letter to reveal it!
        public static var helpTitle : String = NSLocalizedString("RevealLetter.helpTitle", comment: "")

    }

    public struct GameCompleted {

        /// Base translation: More levels coming soon!
        public static var moreLevelsSoon : String = NSLocalizedString("GameCompleted.moreLevelsSoon", comment: "")

        /// Base translation: Congratulations!
        public static var congrats : String = NSLocalizedString("GameCompleted.congrats", comment: "")

    }

    public struct NavTitle {

        /// Base translation: Buy Coins
        public static var buyCoins : String = NSLocalizedString("NavTitle.buyCoins", comment: "")

        /// Base translation: Settings
        public static var settings : String = NSLocalizedString("NavTitle.settings", comment: "")

        /// Base translation: Levels
        public static var levels : String = NSLocalizedString("NavTitle.levels", comment: "")

    }

    public struct FreeCoins {

        /// Base translation: Please check back later for more Free Coins!
        public static var checkLater : String = NSLocalizedString("FreeCoins.checkLater", comment: "")

        /// Base translation: Do you want to watch a video for %d coins?
        public static func message(_ value1 : Int) -> String {
            return String(format: NSLocalizedString("FreeCoins.message", comment: ""), value1)
        }

        /// Base translation: Free Coins
        public static var title : String = NSLocalizedString("FreeCoins.title", comment: "")

        /// Base translation: Can't load the video right now.
        public static var generalError : String = NSLocalizedString("FreeCoins.generalError", comment: "")

    }

    public struct BuyCoins {

        /// Base translation: Could not buy Coins.
        public static var buyError : String = NSLocalizedString("BuyCoins.buyError", comment: "")

        /// Base translation: Could not get Coin packages.
        public static var requestError : String = NSLocalizedString("BuyCoins.requestError", comment: "")

    }

    public struct Settings {

        /// Base translation: Privacy Policy
        public static var privacyPolicy : String = NSLocalizedString("Settings.privacyPolicy", comment: "")

        /// Base translation: Dark Mode
        public static var darkMode : String = NSLocalizedString("Settings.darkMode", comment: "")

    }
}